#Define Library Files
%define major			1
%define libname 		%mklibname %{name}	%{major}

Name:		qmmp
Summary: 	QT5 Sound Client for Linux
Version: 	1.2.0
Release: 	%mkrel 1
URL:		http://www.kde-apps.org/content/show.php?content=13249
Source:     	%name-%version.tar.xz
License:  	GPL
Group: 		Sound
BuildRoot: 	%_tmppath/%name-%version-%release-root
Requires:	%{_lib}alsa2 
Requires:	%{_lib}flac8
Requires:	%{_lib}jack0
Requires:	%{_lib}mad0
Requires:	%{_lib}lame0
#Requires:	%{_lib}mpcdec5
Requires:	%{_lib}ogg0
Requires:	%{_lib}samplerate0
BuildRequires:	qtcore5-devel
BuildRequires:	qtdbus5-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtmultimedia5-devel
BuildRequires:	qtnetwork5-devel
BuildRequires:	qtwidgets5-devel
BuildRequires:	qtx11extras5-devel
BuildRequires:	qthelp5-devel
BuildRequires:	mad-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libalsa-devel
BuildRequires:	taglib-devel
BuildRequires:	libcurl-devel
BuildRequires:	libflac-devel >= 1.1.3
BuildRequires:	libmpcdec-devel
BuildRequires:	jackit-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libwavpack-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libcdaudio-devel
BuildRequires:	libbs2b-devel
BuildRequires:	libprojectm-devel
BuildRequires:	libmp4v2-devel
BuildRequires:	libfaad2-devel
BuildRequires:	libmms-devel
BuildRequires:	libcdio-devel
BuildRequires:	libcddb-devel
BuildRequires:	wildmidi-devel
BuildRequires:	enca-devel
BuildRequires:	libpthread-stubs
BuildRequires:	cmake
Obsoletes:  	%name < %version
Obsoletes:	qmmp-plugins-simple-ui < 0.9.0

%description
Qmmp (Qt-based Multimedia Player) is an audio-player
written with help of Qt library.


%package devel
Summary:	qmmp development files
Group:		Development/Libraries

%description devel 
Development files for qmmp


%prep
%setup -q

%build
%cmake_qt5 -DUSE_SKINNED:BOOL=TRUE
%make

%install
rm -rf %buildroot
%makeinstall_std -C build



%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(0755,root,root,0755)
%doc AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/qmmp.png
%{_datadir}/icons/hicolor/32x32/apps/qmmp.png
%{_datadir}/icons/hicolor/48x48/apps/qmmp.png
%{_libdir}/libqmmp.so.%{major}*
%{_libdir}/libqmmpui.so.%{major}*
%{_libdir}/%name
%_datadir/applications/qmmp_enqueue.desktop
%_datadir/icons/hicolor/scalable/apps/qmmp-simple.svgz
%_datadir/icons/hicolor/scalable/apps/qmmp.svgz
%_datadir/qmmp/images/app_icon.png
%_datadir/qmmp/images/empty_cover.png
%_datadir/applications/qmmp_dir.desktop


%files devel
%defattr(-,root,root,-)
%{_includedir}/%name/*
%{_libdir}/libqmmp.so
%{_includedir}/qmmpui/*
%{_libdir}/libqmmpui.so
%_libdir/pkgconfig/qmmp.pc
%_libdir/pkgconfig/qmmpui.pc


%changelog
* Sat Dec 23 2017 ghostbunny <ghostbunny at gmx dot de> 1.2.0-1pclos2018
- 1.2.0

* Sat Aug 19 2017 ghostbunny <ghostbunny at gmx dot de> 1.1.10-1pclos2017
- 1.1.10

* Mon Apr 03 2017 bb2 <bb2> - 1.1.8-1pclos2017
- new version

* Sun Mar 26 2017 bb2 <bb2> - 1.1.5-3pclos2017
- rebuild new wildmidi

* Thu Mar 09 2017 bb2 <bb2> - 1.1.5-2pclos2017
- rebuild new ffmpeg

* Fri Dec 23 2016 ghostbunny <ghostbunny at gmx dot de> 1.1.5-1pclos2017
- 1.1.5
- switch to qt5 build

* Wed Sep 23 2015 ghostbunny <ghostbunny at gmx dot de> 0.9.1-1pclos2015
- 0.9.1

* Wed Jun 24 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.5-1pclos2015
- 0.8.5

* Sat Apr 18 2015 ghostbunny <ghostbunny at gmx dot de> 0.8.4-1pclos2015
- 0.8.4
- add missing BR cmake

* Sun Jan 05 2015 bb <bb> 0.8.3-1pclos2015
- update

* Tue Nov 18 2014 bb <bb> 0.8.2-2pclos2014
- rebuild for ffmpeg 2.4.3

* Mon Oct 20 2014 ghostbunny <ghostbunny at gmx dot de> 0.8.2-1pclos2014
- 0.8.2

